<template>
  <div>
    <div class="alert alert-info text-center" role="alert" v-if="!products.length">
      No products added from this account. You can add it
      <router-link to="/shop/add"><a>here!</a></router-link>
    </div>
    <div v-if="$route.name === 'userProducts'">
      <div class="card mb-4" v-for="product of products" :key="product.id">
        <div class="row">
          <div class="col-md-4">
            <img :src="`http://localhost:5000/uploads/${product.photo}`"
                 class="card-img" alt=""/>
          </div>
          <div class="col-md-8">
            <div class="card-body">
              <h5 class="card-text">{{ product.productName }}</h5>
              <small class="text-muted d-block">{{ product.timestamp._seconds | dateAgo }}</small>
              <p class="card-text">{{ product.description }}</p>
              <router-link class="card-link" :to="{ name: 'userProductEdit', params: { id: product.id }}">
                <button class="btn btn-primary">Edit</button>
              </router-link>
              <button class="btn btn-outline-danger ml-1" @click="onDelete(product.id)"><i
                  class="fa fa-trash"></i></button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <router-view></router-view>
  </div>
</template>

<script>
import ProductService from "@/services/product.service";

export default {
  data() {
    return {
      products: []
    }
  },
  created() {
    this.products = this.$route.meta.products;
  },
  methods: {
    onDelete(id) {
      if(confirm('Are you sure?')) {
        ProductService.deleteProduct(id).subscribe(() => {
          this.$router.go(0);
        }, err => console.log(err));
      }
    }
  }
}
</script>
